Bug 1348441 (CVE-2016-4301)

Summary: CVE-2016-4301 libarchive: Stack buffer overflow in the mtree parse_device
Product: [Other] Security Response Reporter: Andrej Nemec <anemec>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: dmoppert, ndevos, praiskup, sardella, slawomir
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: libarchive 3.2.1 Doc Type: Bug Fix
Doc Text:
An exploitable stack based buffer overflow vulnerability exists in the mtree parse_device functionality of libarchive. A specially crafted mtree file can cause a buffer overflow resulting in memory corruption and potential code execution in the context of the application.
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-06-23 03:06:00 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1334215    

Description Andrej Nemec 2016-06-21 07:55:14 UTC
An exploitable stack based buffer overflow vulnerability exists in the mtree parse_device functionality of libarchive. A specially crafted mtree file can cause a buffer overflow resulting in memory corruption/code execution. An attacker can send a malformed file to trigger this vulnerability.

External references:

http://www.talosintel.com/reports/TALOS-2016-0153/

Upstream fix:

https://github.com/libarchive/libarchive/commit/a550daeecf6bc689ade371349892ea17b5b97c77

Comment 1 Doran Moppert 2016-06-22 06:16:38 UTC
Contrary to the Talos advisory, the affected code was only introduced after
the release of v3.1.2.  Thus no Red Hat packages are affected.